Bug 1014019 - [abrt] freerdp-1.0.2-2.fc19: fatal_handler: Process /usr/bin/xfreerdp was killed by signal 11 (SIGSEGV)
[abrt] freerdp-1.0.2-2.fc19: fatal_handler: Process /usr/bin/xfreerdp was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freerdp (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mads Kiilerich
Fedora Extras Quality Assurance
abrt_hash:c1e294cb6bbb8763db54e3eefa0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 05:30 EDT by info@kobaltwit.be
Modified: 2015-12-12 10:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:30:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.15 KB, text/plain)
2013-10-01 05:30 EDT, info@kobaltwit.be
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-01 05:30 EDT, info@kobaltwit.be
no flags Details
File: core_backtrace (16.31 KB, text/plain)
2013-10-01 05:30 EDT, info@kobaltwit.be
no flags Details
File: dso_list (5.78 KB, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details
File: environ (1.89 KB, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details
File: maps (28.53 KB, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details
File: open_fds (1003 bytes, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-10-01 05:31 EDT, info@kobaltwit.be
no flags Details

  None (edit)
Description info@kobaltwit.be 2013-10-01 05:30:47 EDT
Version-Release number of selected component:
freerdp-1.0.2-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        xfreerdp -g 1280x1024 -k 0x00000813 -u janssege -p ********* -D -X 136315000 -a 16 --plugin rdpsnd --plugin rdpdr --data disk media /media -- -x l --rfx --ignore-certificate --plugin cliprdr -t 3389 192.168.93.53
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 fatal_handler at /usr/src/debug/freerdp-1.0.2/libfreerdp-utils/signal.c:52
 #3 xf_gdi_memblt at /usr/src/debug/freerdp-1.0.2/client/X11/xf_gdi.c:602
 #4 update_recv_primary_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:1826
 #5 update_recv_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:2018
 #6 fastpath_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:132
 #7 fastpath_recv_update at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:173
 #8 fastpath_recv_update_data at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:294
 #9 fastpath_recv_updates at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/fastpath.c:310
 #10 rdp_recv_fastpath_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:762
 #11 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:770

Potential duplicate: bug 861206
Comment 1 info@kobaltwit.be 2013-10-01 05:30:51 EDT
Created attachment 805781 [details]
File: backtrace
Comment 2 info@kobaltwit.be 2013-10-01 05:30:54 EDT
Created attachment 805782 [details]
File: cgroup
Comment 3 info@kobaltwit.be 2013-10-01 05:30:58 EDT
Created attachment 805783 [details]
File: core_backtrace
Comment 4 info@kobaltwit.be 2013-10-01 05:31:01 EDT
Created attachment 805784 [details]
File: dso_list
Comment 5 info@kobaltwit.be 2013-10-01 05:31:05 EDT
Created attachment 805785 [details]
File: environ
Comment 6 info@kobaltwit.be 2013-10-01 05:31:08 EDT
Created attachment 805786 [details]
File: limits
Comment 7 info@kobaltwit.be 2013-10-01 05:31:12 EDT
Created attachment 805787 [details]
File: maps
Comment 8 info@kobaltwit.be 2013-10-01 05:31:15 EDT
Created attachment 805788 [details]
File: open_fds
Comment 9 info@kobaltwit.be 2013-10-01 05:31:18 EDT
Created attachment 805789 [details]
File: proc_pid_status
Comment 10 info@kobaltwit.be 2013-10-25 09:03:37 EDT
Freerdp is crashing on me like crazy. It usually happens while a dialog or window opens in the remote session. Most of the times when I reconnect, I can continue to work, but that's not even possible today. It immediately crashes again while reconstructing the windows that were still open.
Comment 11 Sylvain Petreolle 2014-01-18 18:05:39 EST
It happens on Fedora 20 and the duplicate bug 861206 came from Fedora 17,
please update the version !
Comment 12 info@kobaltwit.be 2014-02-27 10:37:14 EST
This is really getting annoying. I have to connect to a windows system several times a day. Not a single connection goes by without freerdp crashing on me when I open a window or dialog box.

Why on earth has krdc decided to switch from rdesktop to freerdp ? My experience has seriously degraded since then.
Comment 13 info@kobaltwit.be 2014-12-04 12:40:43 EST
Another user experienced a similar problem:

I am starting xfreerdp from within krdc.

In this particular run I double-clicked on a gnucash installer file with the intention of installing gnucash. This will normally pop-up a small dialog window to select the language to use during the installation.

However before this dialog window can be displayed xfreerdp crashes. I can't even restart the session. As long as this small dialog is up, xfreerdp will crash again before even displaying the screen.

I can get around this by attaching to the same session via rdesktop and close the small dialog window again.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        xfreerdp -g 1800x1100 -k 0x00000813 -u janssege -p ********* -D -X 142606461 -a 16 --plugin rdpsnd --plugin rdpdr --data disk media /media -- -x l --rfx --ignore-certificate --plugin cliprdr -t 3389 192.168.93.53
crash_function: fatal_handler
executable:     /usr/bin/xfreerdp
kernel:         3.16.3-200.fc20.x86_64
package:        freerdp-1.0.2-6.fc20
reason:         xfreerdp killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Andy F 2014-12-12 14:00:07 EST
Confirmed problem on 3 different Fedora 21 systems.

Seems to be same as https://bugs.kde.org/show_bug.cgi?id=341284
Comment 15 Andy F 2014-12-12 14:01:22 EST
(In reply to Need Real Name from comment #14)
> Confirmed problem on 3 different Fedora 21 systems.
> 
> Seems to be same as https://bugs.kde.org/show_bug.cgi?id=341284

Small addition: I get the crash when Krdc calls freerdp
Comment 16 Fedora End Of Life 2015-05-29 05:29:37 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 info@kobaltwit.be 2015-05-29 06:21:29 EDT
As a closing note I'll add that I haven't experienced this crash for some time anymore. It seems the update to freerdp 1.2.x fixed thie issue for me.
Comment 18 Fedora End Of Life 2015-06-29 08:30:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.